Inverse Matrix
Base Module » Linear Algebra

## Functions

bool | itpp::inv (const mat &X, mat &Y)
| Inverse of real square matrix.
mat | itpp::inv (const mat &X)
| Inverse of real square matrix.
bool | itpp::inv (const cmat &X, cmat &Y)
| Inverse of complex square matrix.
cmat | itpp::inv (const cmat &X)
| Inverse of real square matrix.

## Detailed Description

## Function Documentation

## inv() [1/4]

ITPP_EXPORT bool itpp::inv | ( | const mat & | X,
|  | mat & | Y )

Inverse of real square matrix.

Calculate the inverse of the real matrix

Solves the equation system using LU-factorization. IT++ needs to be compiled with the LAPACK for the inverse to be available.

Definition at line 87 of file inv.cpp.

References it_error.

Referenced by itpp::Modulator_NCD::demodulate_soft_bits(), itpp::Modulator_NRD::demodulate_soft_bits(), itpp::Multilateration::get_crlb(), inv(), inv(), is_unitary(), and itpp::MOG_generic::setup_covs().

## inv() [2/4]

ITPP_EXPORT mat itpp::inv | ( | const mat & | X | ) |

Inverse of real square matrix.

Calculate the inverse of the real matrix

Solves the equation system using LU-factorization. IT++ needs to be compiled with LAPACK support for the inverse to be available.

Definition at line 109 of file inv.cpp.

References inv().

## inv() [3/4]

ITPP_EXPORT bool itpp::inv | ( | const cmat & | X,
|  | cmat & | Y )

Inverse of complex square matrix.

Calculate the inverse of the complex matrix

Solves the equation system using LU-factorization. IT++ needs to be compiled with LAPACK support for the inverse to be available.

Definition at line 93 of file inv.cpp.

References it_error.

## inv() [4/4]

ITPP_EXPORT cmat itpp::inv | ( | const cmat & | X | ) |

Inverse of real square matrix.

Calculate the inverse of the complex matrix

Solves the equation system using LU-factorization. IT++ needs to be compiled with the LAPACK for the inverse to be available.

Definition at line 101 of file inv.cpp.

References inv().

Generated on for IT++ by Doxygen 1.15.0